#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2
visibility:           public
id:                   primitive-extras-0.10.2-EVvtbsqLucy98nYg4V9zMe
key:                  primitive-extras-0.10.2-EVvtbsqLucy98nYg4V9zMe
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  c835b7b2559764eca1c43aa9e654ca66
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2-EVvtbsqLucy98nYg4V9zMe
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-IGFbCB8ZpEeug2Dv4OiFn
    focus-1.0.3.2-GrnjjhSN5ie257WuzosMHR
    foldl-1.4.16-CLLnjNVU8RpEdCwZ6F4jma
    list-t-1.0.5.4-K9Uyh4k4nL9BLvK3Pwv5dM
    primitive-0.7.4.0-FVB8RLw7kwa2mbgh0KVHMG
    primitive-unlifted-0.1.3.1-Kpn68ajIbZz65HvHn9h2wb
    profunctors-5.6.2-sxZgUnyFnX4UMz6206GnO
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

